Subject: bug#72553: closed (Re: [PATCH 2/4] gnu: rust: Fix building.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 May 2025 07:15:03 +0000

Your bug report

#72553: [PATCH rust-team 0/4] Several patches removed from core-updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72553: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72553
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 2/4] gnu: rust: Fix building.
From: Andreas Enge <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 1 May 2025 09:14:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing.

Andreas

Subject: [PATCH rust-team 0/4] Several patches removed from core-updates
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 10 Aug 2024 08:09:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches were on core-updates, but they no longer applied when
rebasing the branch, I'm guessing due to changes pushed to master as
part of the recent rust-team branch merge.

I'm not sure if any of these changes need to go on core-updates, at
least rust seems to build for me without these changes so I've removed
them for now. Maybe some changes will be needed on core-updates, but if
not, maybe they can go to rust-team or master as appropriate.

Efraim Flashner (1):
  gnu: rust: Fix building.

Maxim Cournoyer (2):
  gnu: rust: Use gexps; fix enable-profiling phase.
  gnu: rust: Disable token_not_logged test.

Milkey Mouse (1):
  gnu: rust: Add profiling support.

 gnu/packages/rust.scm | 463 ++++++++++++++++++++++--------------------
 1 file changed, 242 insertions(+), 221 deletions(-)